(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     11790,        263]
NotebookOptionsPosition[     11094,        243]
NotebookOutlinePosition[     11522,        260]
CellTagsIndexPosition[     11479,        257]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8122190347530894`*^9, 
  3.8122190414065175`*^9}},ExpressionUUID->"77cb47c9-96e9-4e7b-8970-\
ebb5d9699e7c"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"grafo", "=", 
  RowBox[{"GrafoBipartitoCompleto", "[", 
   RowBox[{"10", ",", "10"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"CantMRutas", "[", 
  RowBox[{"grafo", ",", "10", ",", 
   RowBox[{"all", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.812219062062447*^9, 3.8122191086819816`*^9}, {
  3.812219941983049*^9, 3.812219947403984*^9}},
 CellLabel->"In[24]:=",ExpressionUUID->"c02e9677-3d93-421f-bcd8-86e44089d959"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19,
       20}, {Null, 
       SparseArray[
       Automatic, {20, 20}, 0, {
        1, {{0, 10, 20, 30, 40, 50, 60, 70, 80, 90, 100, 110, 120, 130, 140, 
          150, 160, 170, 180, 190, 200}, {{11}, {12}, {13}, {14}, {15}, {
          16}, {17}, {18}, {19}, {20}, {11}, {12}, {13}, {14}, {15}, {16}, {
          17}, {18}, {19}, {20}, {11}, {12}, {13}, {14}, {15}, {16}, {17}, {
          18}, {19}, {20}, {11}, {12}, {13}, {14}, {15}, {16}, {17}, {18}, {
          19}, {20}, {11}, {12}, {13}, {14}, {15}, {16}, {17}, {18}, {19}, {
          20}, {11}, {12}, {13}, {14}, {15}, {16}, {17}, {18}, {19}, {20}, {
          11}, {12}, {13}, {14}, {15}, {16}, {17}, {18}, {19}, {20}, {11}, {
          12}, {13}, {14}, {15}, {16}, {17}, {18}, {19}, {20}, {11}, {12}, {
          13}, {14}, {15}, {16}, {17}, {18}, {19}, {20}, {11}, {12}, {13}, {
          14}, {15}, {16}, {17}, {18}, {19}, {20}, {1}, {2}, {3}, {4}, {5}, {
          6}, {7}, {8}, {9}, {10}, {1}, {2}, {3}, {4}, {5}, {6}, {7}, {8}, {
          9}, {10}, {1}, {2}, {3}, {4}, {5}, {6}, {7}, {8}, {9}, {10}, {1}, {
          2}, {3}, {4}, {5}, {6}, {7}, {8}, {9}, {10}, {1}, {2}, {3}, {4}, {
          5}, {6}, {7}, {8}, {9}, {10}, {1}, {2}, {3}, {4}, {5}, {6}, {7}, {
          8}, {9}, {10}, {1}, {2}, {3}, {4}, {5}, {6}, {7}, {8}, {9}, {10}, {
          1}, {2}, {3}, {4}, {5}, {6}, {7}, {8}, {9}, {10}, {1}, {2}, {3}, {
          4}, {5}, {6}, {7}, {8}, {9}, {10}, {1}, {2}, {3}, {4}, {5}, {6}, {
          7}, {8}, {9}, {10}}}, Pattern}]}, {
      GraphLayout -> {"MultipartiteLayout", "VertexPartition" -> {10, 10}}, 
       ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJyF1jFqAkEYQOFFq1zAPo2WFmI9d4gnMGhtkwtYeIR0FpYhoI21phNFSJEy
kCKksfQAFhFcB+YNjxEshgfLPx+uM4/Pk6dxs6qq0fXbqL/3z0/n+Pne+v24
rc4hXed9eXpZP7x+a19MB4fN5Ut7uz/a/u132nvz2Vt3uCr1UHi+9no+7fX+
tNfr2FOP3I+dfuz0Y6cfO/2k6/z0k/m00098Yk/3m/ux04+dfuz0Y6efdJ2f
fjKfdvqJT+zpfnI/dvqx04+dfuz0k67z00/m004/8Yk9nTf3Y6cfO/3Y6cdO
P+k6P/1kPu30Ex/2UPALeL528Ytd/GIXP3adX/w4n3bxow9/n+rHLu+v+rHL
+6t+0nV+eX/VT/ZX8uH/o/qxy/mhfuxyfqifdJ1fzg/1k/2VfHg+qx+73F/U
j13uL+onXeeX+4v6yf5KPrGna70/qx+73J/Vj13uz+onz9cu92f1E5/wDzGD
CzU=
         "]]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., -0.5340169943749477}, 0.014572359359168924], 
         InsetBox["1", 
          Offset[{2, 2}, {0.014572359359168924, -0.5194446350157788}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., -0.41534655118051483}, 0.014572359359168924], 
         InsetBox["2", 
          Offset[{2, 2}, {0.014572359359168924, -0.4007741918213459}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., -0.296676107986082}, 0.014572359359168924], 
         InsetBox["3", 
          Offset[{2, 2}, {0.014572359359168924, -0.2821037486269131}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., -0.1780056647916492}, 0.014572359359168924], 
         InsetBox["4", 
          Offset[{2, 2}, {0.014572359359168924, -0.16343330543248027}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., -0.0593352215972164}, 0.014572359359168924], 
         InsetBox["5", 
          Offset[{2, 2}, {0.014572359359168924, -0.04476286223804748}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.0593352215972164}, 0.014572359359168924], 
         InsetBox["6", 
          Offset[{2, 2}, {0.014572359359168924, 0.07390758095638533}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.1780056647916492}, 0.014572359359168924], 
         InsetBox["7", 
          Offset[{2, 2}, {0.014572359359168924, 0.19257802415081812}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.296676107986082}, 0.014572359359168924], 
         InsetBox["8", 
          Offset[{2, 2}, {0.014572359359168924, 0.3112484673452509}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.41534655118051483}, 0.014572359359168924], 
         InsetBox["9", 
          Offset[{2, 2}, {0.014572359359168924, 0.4299189105396838}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.5340169943749477}, 0.014572359359168924], 
         InsetBox["10", 
          Offset[{2, 2}, {0.014572359359168924, 0.5485893537341165}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1., -0.5340169943749477}, 0.014572359359168924], 
         InsetBox["11", 
          Offset[{2, 2}, {1.014572359359169, -0.5194446350157788}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1., -0.41534655118051483}, 0.014572359359168924], 
         InsetBox["12", 
          Offset[{2, 2}, {1.014572359359169, -0.4007741918213459}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1., -0.296676107986082}, 0.014572359359168924], 
         InsetBox["13", 
          Offset[{2, 2}, {1.014572359359169, -0.2821037486269131}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1., -0.1780056647916492}, 0.014572359359168924], 
         InsetBox["14", 
          Offset[{2, 2}, {1.014572359359169, -0.16343330543248027}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1., -0.0593352215972164}, 0.014572359359168924], 
         InsetBox["15", 
          Offset[{2, 2}, {1.014572359359169, -0.04476286223804748}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1., 0.0593352215972164}, 0.014572359359168924], 
         InsetBox["16", 
          Offset[{2, 2}, {1.014572359359169, 0.07390758095638533}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1., 0.1780056647916492}, 0.014572359359168924], 
         InsetBox["17", 
          Offset[{2, 2}, {1.014572359359169, 0.19257802415081812}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1., 0.296676107986082}, 0.014572359359168924], 
         InsetBox["18", 
          Offset[{2, 2}, {1.014572359359169, 0.3112484673452509}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1., 0.41534655118051483}, 0.014572359359168924], 
         InsetBox["19", 
          Offset[{2, 2}, {1.014572359359169, 0.4299189105396838}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1., 0.5340169943749477}, 0.014572359359168924], 
         InsetBox["20", 
          Offset[{2, 2}, {1.014572359359169, 0.5485893537341165}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.8122191094283743`*^9, 3.812219118103648*^9}, {
  3.8122199482018576`*^9, 3.8122199531133456`*^9}},
 CellLabel->"Out[24]=",ExpressionUUID->"fe80ef2c-f35f-44cf-8a93-c75b759f001e"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi18$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi18$$], 1, "k"}, 1, 10, 1}}, Typeset`size$$ = {
    1632., {365.37499999999994`, 377.87499999999994`}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi18$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> TableForm[
        MatrixPower[
         Part[
          VilCretas`MGrafo[VilCretas`Private`GGrafoAuxiliar17, 
           Sort[
            VertexList[VilCretas`Private`GGrafoAuxiliar17]]], 1], 
         VilCretas`Private`Gi18$$], TableHeadings -> {
          Map[Style[#, Black]& , 
           Sort[
            VertexList[VilCretas`Private`GGrafoAuxiliar17]]], 
          Map[Style[#, Black]& , 
           Sort[
            VertexList[VilCretas`Private`GGrafoAuxiliar17]]]}, 
        TableAlignments -> Center], 
      "Specifications" :> {{{VilCretas`Private`Gi18$$, 1, "k"}, 1, 10, 1}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{1728., {447.25, 459.75}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{{3.8122191094738607`*^9, 3.8122191221185994`*^9}, {
  3.812219948220807*^9, 3.8122199531342864`*^9}},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[24]:=",ExpressionUUID->"7a87dc05-77e3-48fe-a1aa-a7a0c5fbd45f"]
}, Open  ]]
},
WindowSize->{949, 478},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"06d8bd38-0a62-4289-8503-72a6cf57efa1"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 184, 4, 63, "Input",ExpressionUUID->"77cb47c9-96e9-4e7b-8970-ebb5d9699e7c"],
Cell[CellGroupData[{
Cell[767, 28, 463, 9, 168, "Input",ExpressionUUID->"c02e9677-3d93-421f-bcd8-86e44089d959"],
Cell[1233, 39, 7586, 151, 773, "Output",ExpressionUUID->"fe80ef2c-f35f-44cf-8a93-c75b759f001e"],
Cell[8822, 192, 2256, 48, 927, "Print",ExpressionUUID->"7a87dc05-77e3-48fe-a1aa-a7a0c5fbd45f"]
}, Open  ]]
}
]
*)

